
# Image a sample line NB ID IS TENTATIVE

os.system('rm -rf SgrB2_207_spw2_537-651_SO.clean*')
tclean(vis=['X14bd_Sgr_B2N.ms_FluxEqual_207','X22e_Sgr_B2N.ms_FluxEqual_207','X755_Sgr_B2N.ms_FluxEqual_207'],
	imagename='SgrB2_207_spw2_537-651_SO.clean', # *see below
        spw='2',                          
	field='Sgr_B2N',                      # SgrB2 
	specmode='cube', 
        outframe='lsrk',
        restfreq='206.176GHz',
	start=537,                       
        nchan=115,
	gridder='mosaic',               # Recommended for mixed antenna sizes
	imsize=800,
        pblimit=0.05,
        cell='0.04arcsec',
        threshold='50mJy/beam',
        weighting='briggs',             
        robust=0.5,                     # Suppresses sidelobes
	uvtaper='0.3arcsec',            # Mitigates effect of sparse long baselines
	niter=2000000,                     # NB this is nchan x (niter per chan)
	interactive=T)

# Make primary-beam corrected FITS images:
# NB line ID is tentative; extended emission may have artefacts



imlist=['SgrB2_207_spw2_537-651_SO.clean']
for i in imlist:
    os.system('rm -rf '+i+'.pbcorr ' +i+'*fits')
    impbcor(imagename=i+'.image',
            pbimage=i+'.pb',
            outfile=i+'.pbcorr')
    exportfits(imagename=i+'.pbcorr',
               fitsimage=i+'.pbcorr.fits')
    exportfits(imagename=i+'.pb',
               fitsimage=i+'.pb.fits')
